Deleting shapes in shapefiles does not work

2014-09-30 03:15 AM - Kai Otte-Witte

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 19592

Description

After opening an existing ESRI-shapefiel (polygons) and deleting some of the shapes qgis marks the deleted lines in the dbase-file with

*. When saving the shapefile the marked entries are still in the shapefile. Opening such a shapefile in ArcGIS shows all in qgis deleted

elements. It seems OGRLayer REPACk is not used in saving.

Related issues:

Related to QGIS Application - Bug report # 8317: Deleted features are not rea... Closed 2013-07-17

Related to QGIS Application - Bug report # 11398: Buggy/unreadable polygons c... Closed 2014-10-13

Related to QGIS Application - Bug report # 8822: OGR: Repack in running session Closed 2013-10-11

Related to QGIS Application - Bug report # 13297: Edited/Deleted features sti... Closed 2015-08-31

Duplicated by QGIS Application - Bug report # 13035: Shape Vertices Deleted b... Closed 2015-06-23

Associated revisions

Revision 7d7cdcd3 - 2015-05-28 12:34 PM - Matthias Kuhn

Repack shapefiles when saving after deleting features

    -  QgsVectorDataProvider::dataChanged() will be emitted

    -  QgsVectorLayer::dataChanged() will be emitted

    -  Clears QgsVectorLayerCache

    -  Reloads the attribute table

    -  Clears the selection

Looking forward to people complaining about their lost selection...

Fix #10560

Fix #11989

Refs #8317

Refs #8822

Refs #10483

Refs #11007

Refs #7540

Refs #11398

Refs #11296

History

#1 - 2014-10-16 06:42 AM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Open to Closed
duplicte of #11007
